#!/usr/bin/env bash

if [ "$DB_CLUSTER" ]; then
   sed -i 's/"mongo41\.infoclinica\.lan:27017,mongo42\.infoclinica\.lan:27017,mongo43\.infoclinica\.lan:27017"/\$\{DB_CLUSTER\}/' /etc/web-registry-portal/application.conf
   sed -i 's/"dev-mongo\.infoclinica\.lan:27017"/\$\{DB_CLUSTER\}/' /etc/web-registry-portal/application.conf
fi

if [ "$ADMIN_HOST" ]; then
   sed -i "s/192\.168\.204\.12/$ADMIN_HOST/" /etc/web-registry-portal/application.conf
   sed -i "s/192\.168\.201\.11/$ADMIN_HOST/" /etc/web-registry-portal/application.conf
fi

sed -i "s/192\.168\.204\.2x/${HOSTNAME}/" /etc/web-registry-portal/application.conf
sed -i "s/communication = \"remote\"/communication = \"socket\"/" /etc/web-registry-portal/application.conf

echo "#Dummy" >> /etc/rc.d/init.d/functions
source /etc/init.d/web-registry-portal status
echo "CMD is ${$@}"

if [ ! -z "$@" ]
then
    exec "$@"
else
    exec ${WEB_REGISTRY_BIN} ${WEB_REGISTRY_OPTS}
fi
